/*!
Theme Name:   Josephine Child Theme
Template:     josephine
Version:      1.0.0

Theme URI:    https://github.com/webmandesign/child-theme/
Author:       WebMan Design
Author URI:   https://www.webmandesign.eu/
License:      GPL-3.0-or-later
License URI:  https://www.gnu.org/licenses/gpl-3.0-standalone.html

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.

IMPORTANT:
Read the instructions in https://github.com/webmandesign/child-theme/blob/master/readme.md

Child theme CSS styles:
*/
.wpcf7 input[type="text"],
.wpcf7 input[type="email"],
.wpcf7 input[type="tel"],
.wpcf7 input[type="number"],
.wpcf7 select,
.wpcf7 input[type="radio"],
textarea {
    width: 100% !important;
    display: block;
    border-color: #7EAE0D !important;
    background: #f1f1f1;
    padding: 12px 24px;
}

.wpcf7 select {
    padding: 15px 24px 16px;
}

label {
    display: block !important;
}

.wpcf7 input[type="submit"] {
    padding: 12px 24px;
    font-weight: normal;
    text-transform: none;
    color: #fff !important;
    background: #7EAE0D !important;
}

.wpcf7 input:focus, .wpcf7 textarea:focus {
    background: #fff !important;
    border-color: #7EAE0D;
    color: #333;

}

.wpcf7 .content {
    width: 80%;
    margin: 0 auto;
}

.wpcf7 h2 {
    text-align: center;
}

.wpcf7 h2, .wpcf7 h4 {
    color: #672607;
    font-weight: 500;
}

span.wpcf7-not-valid-tip {
    color: #fff !important;
    background: #c00;
    padding: 0 10px;
    font-size: 15px !important;
    float: none;

}

.wpcf7-list-item, .wpcf7-list-item input[type="checkbox"] {
    margin-left: 0 !important;
}

.wpcf7-list-item input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    display: inline-block !important;
    width: 25px !important;
    height: 25px !important;
    padding: 0 !important;
    border: 1px solid #AFCA22;
    cursor: pointer;
}

.wpcf7-list-item input[type="checkbox"]:checked:after {
    display: inline-block;
    width: 100%;
    line-height: 25px;
    content: "\f00c";
    font-family: FontAwesome;
    text-align: center;
}

.wpcf7-list-item, .wpcf7-list-item input[type="radio"] {
    margin-left: 0 !important;
}

.wpcf7-list-item input[type="radio"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    display: inline-block !important;
    width: 25px !important;
    height: 25px !important;
    padding: 0 !important;
    border: 1px solid #9EB6DA;
    border-radius: 20px;
    cursor: pointer;
    margin: 0 !important;

}

.wpcf7-radio .wpcf7-list-item-label {
    margin-right: 10px;
}

.wpcf7-list-item input[type="radio"]:checked:after {
    display: inline-block;
    font-size: 12px;
    content: "\f111";
    font-family: FontAwesome;
    text-align: center;
    position: relative;
    top: -5px;
    left: 6px;
}

.clear {
    clear: both;
}

.wpcf7-form-control-wrap.your-message:after,
.wpcf7-form-control-wrap.your-subject:after,
.wpcf7-form-control-wrap.tel-447:after,
.wpcf7-form-control-wrap.your-email:after,
.wpcf7-form-control-wrap.your-name:after,
.ed_css_txt:after,
.ed_css_drop:after {
    content: "";
    width: 100%;
    height: 3px;
    background-color: #fff;
    display: inline-block;
    position: absolute;
    bottom: 0;
    right: 0;
}

.ed_css_txt,
.ed_css_drop {
    position: relative;
    display: inline-block;
    width: 100%;
}

.wpcf7-form-control-wrap:focus {
    width: 50%;
}

textarea {
    width: 100%;
    max-width: 100%;
    min-width: 100%;
}

.form_half {
    width: 49.5%;
    float: left;
    margin-bottom: 20px;
    margin-right: 1%;
}

.form_half_last {
    float: left;
    width: 49.5%;
    margin-right: 0px;
    margin-bottom: 20px;
}

.infinite-body span.wpcf7-not-valid-tip {
    margin-bottom: 0px;
}

.infinite-body span.wpcf7-not-valid-tip {
    margin-bottom: 0px;
}

.wpcf7-form-control-wrap {
    position: inherit;
}

div.wpcf7-validation-errors, div.wpcf7-acceptance-missing {
    border: 2px solid #cc0000 !important;
}

@media (max-width: 999px) {
    .form_half, .form_half_last {
        width: 100%;
        float: none;
    }

    .wp-block-button__link {
        padding: 0.6em 0.75em !important;
    }

    .wp-block-site-logo img {
        width: 320px;
    }
}

@media (max-width: 599px) {
    :where(body:not(.a11y-disable-fixed-mobile-toggle,.a11y-disable-mobile-padding-bottom)) .has-mobile-padding-bottom > .wp-block-group:last-child {
        padding-bottom: 0 !important;
    }
}

.uagb-post__inner-wrap {
    display: inline-flex !important;
}

.uagb-post-grid .uagb-post__image {
    width: 40% !important;
}

.uagb-post-grid .uagb-post__text.uagb-post__excerpt {
    width: 70% !important;
    margin: 30px !important;
}

.uagb-post-grid .uagb-post__text.uagb-post__excerpt > p:first-child {
    padding-top: 0 !important;
}

.uagb-post-grid .uagb-post__image img {
    width: calc(100% - 30px) !important;
}

@media (max-width: 1023px) {
    .uagb-post__inner-wrap {
        flex-direction: column !important;
    }

    .uagb-post-grid .uagb-post__image {
        width: calc(100% - 30px) !important;
    }

    .uagb-post-grid .uagb-post__text.uagb-post__excerpt {
        width: calc(100% - 60px) !important;
    }
}
